Subject: RE: [Sigtran] M2PA V6: T7

From: Tolga Asveren <[email-masked]>
Date: Thu, 10 Oct 2002 08:48:43 -0400

Brian,

> You don't understand:  the association is running marginal.  That is, 
> there are enough packets dropped to shrink cwnd without dropping the
> association.  This is always a possibility in SCTP.  A few 
> packets dropped
> ever so often will keep the congestion window closed but not drop the
> association.  No setting of protocol parameters will change that.
> These packets will trickle through at 150ms spacing without dropping
> the association.  It is always possible to trickle through at RTO.Max
> without dropping the association.  The association is throttled due to
> congestion.  Nobody is made aware of the throttling.  It is not the
> delay of the packet on the wire that causes the problem as 
> much as the delay
> of packets waiting for transmission.  I only see 3 choices: 
> SCTP Lifetimes,
> PR-SCTP, and per-message T7.
[TOLGA]Or there might be other solutions in SCTP itself(for example a
congestion indication mechanism, error counting etc..). So, I still prefer
the first suggestion, which is not restrictive and still informative enough.

> > [TOLGA] Even with RTT=150ms I don't think there will be a 
> serious problem. 
> 
> Why not?
[TOLGA]If the only abnormality is RTT=150ms, there won't be a problem
because after 6*150=900ms cwnd will be big enough to handle the data sent by
M2PA. (your original scenario was not assuming any packet loss, so I based
my calculation on that, with packet loss, depending on the rate of it there
might be a problem with the standard calculation)
 
> > If cwnd is a problem, one has to find a solution for it, some local
> > congestion mechanisms/trying to increase cwnd size etc... In fact in
> > Telephony signalling Transport over SCTP Applicability 
> Statement draft it is
> > stated that even SCTP congestion mechanisms may not be followed.
> 
> Are you recommending that M2PA not be able to work over SCTP with
> a standard congestion algorithm?
[TOLGA] This is stated in SCTP applicability statement 3.1. So, I assume it
is a valid option.
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 10 Oct 2002 13:04:55 -0600

Tolga,

Tolga Asveren wrote:                                    (Thu, 10 Oct 2002 08:48:43)
> [TOLGA] This is stated in SCTP applicability statement 3.1. So, I assume it

Huh???  Reread the question.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/